Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.

problem sa phppgadmin-om i postgre konfiguracijom

[es] :: PHP :: PHP za početnike :: problem sa phppgadmin-om i postgre konfiguracijom

[ Pregleda: 1841 | Odgovora: 1 ] > FB > Twit

Postavi temu Odgovori

Autor

Pretraga teme: Traži
Markiranje Štampanje RSS

Valerij Zajcev

Član broj: 40886
Poruke: 1374
*.dynamic.sbb.rs.



+2 Profil

icon problem sa phppgadmin-om i postgre konfiguracijom11.07.2010. u 17:07 - pre 121 meseci
Trebam da instaliram phpPgAdmin da bih radio sa postgre bazom. Koristim php 5.3.0 podesio sam config phppg-a:
Code:

<?php

    /**
     * Central phpPgAdmin configuration.  As a user you may modify the
     * settings here for your particular configuration.
     *
     * $Id: config.inc.php-dist,v 1.55 2008/02/18 21:10:31 xzilla Exp $
     */

    // An example server.  Create as many of these as you wish,
    // indexed from zero upwards.

    // Display name for the server on the login screen
    $conf['servers'][0]['desc'] = 'PostgreSQL';

    // Hostname or IP address for server.  Use '' for UNIX domain socket.
    // use 'localhost' for TCP/IP connection on this computer
    $conf['servers'][0]['host'] = '127.0.0.1';

    // Database port on server (5432 is the PostgreSQL default)
    $conf['servers'][0]['port'] = 5432;

    // Database SSL mode
    // Possible options: disable, allow, prefer, require
    // To require SSL on older servers use option: legacy
    // To ignore the SSL mode, use option: unspecified
    $conf['servers'][0]['sslmode'] = 'allow';

    // Change the default database only if you cannot connect to template1.
    // For a PostgreSQL 8.1+ server, you can set this to 'postgres'.
    $conf['servers'][0]['defaultdb'] = 'postgres';
    ...

ali kada ga pokrenem dobijem error:
Code:

Deprecated: Assigning the return value of new by reference is deprecated in C:\wamp\www\phpPgAdmin\classes\Misc.php on line 344
Your PHP installation does not support PostgreSQL. You need to recompile PHP using the --with-pgsql configure option.

U wamp-u sam ukljucio ekstenziju "php_pgsql" ali i dalje mi daje ovu gresku. Ima li neko ideju sta da uradim?
 
Odgovor na temu

Tudfa
Jovicevic Vladimir

Član broj: 152699
Poruke: 384
*.dynamic.sbb.rs.



+3 Profil

icon Re: problem sa phppgadmin-om i postgre konfiguracijom11.07.2010. u 18:09 - pre 121 meseci
Ne znam dal ce ista od ovoga pomoci, al evo ovako:

tu poruku dobijas jer je u PHP 5.3 uveden novi error level E_DEPRECATED:

http://php.net/manual/en/migration53.deprecated.php

U toj Misc klasi u liniji 344 imas ovo:
Code:
$data =& new $_type($_connection->conn);

i kako do greske dolazi je ovde objasnjeno (dodeljivanje povratne vrednosti koju vraca new po referenci je "deprecated"):

http://www.php.net/manual/en/language.references.php#93292

Sta bih mogao da uradis je da ispratis uputstva iz manuala:

http://phppgadmin.sourceforge.net/?page=faq

Pa zatim jedan restart apache servera...
 
Odgovor na temu

[es] :: PHP :: PHP za početnike :: problem sa phppgadmin-om i postgre konfiguracijom

[ Pregleda: 1841 | Odgovora: 1 ] > FB > Twit

Postavi temu Odgovori

Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.